Subject: Re: [PATCH 1/4 tip/sched/core] sched: rename preempt_notifier to sched_notifier and always enable it

From: Ingo Molnar <[email-masked]>
Date: Fri, 27 Nov 2009 06:46:21 +0100

* Tejun Heo <[email-masked]> wrote:

> Hello,
> 
> 11/27/2009 01:52 PM, Ingo Molnar wrote:
> > Btw., longer term it will be faster than a mask check and a
> > default-untaken conditional: there's ongoign work to offer runtime
> > instruction patching features for tracing callbacks.  There's the
> > jump patching optimization and also the immediate values patching
> > optimization.
> 
> Scheduler callbacks won't benefit much from it.  There will always be 
> workqueues and thus conditional branch will always be necessary.

Other code will benefit from it though, such as the page fault callbacks 
i already mentioned.

My position on this is rather clear: i want no new callbacks and no 
changes to callbacks in the scheduler until this situation is cleaned 
up. Five callback sites are _way_ too much - so if you want to add 
callbacks or change them, please clean it up and improve it first.

	Ingo